#ifndef OCR_Dictionary_INL
#define OCR_Dictionary_INL


OCR_INLINE
Dict_Key_Token::Dict_Key_Token()
: key( 0)
, token( 0)
{
}


OCR_INLINE
Dict_Key_Token::Dict_Key_Token( const Dict_Key   &new_key
                              , const Dict_Token &new_token)
: key( new_key)
, token( new_token)
{
}


OCR_INLINE
Dict_Key_Token::Dict_Key_Token( Dict_Key_Token &rhs)
: key( rhs.key)
, token( rhs.token)
{
}


OCR_INLINE
Dict_Key_Token::Dict_Key_Token( const Dict_Key_Token &rhs)
: key( rhs.key)
, token( rhs.token)
{
}



ACCESSOR_RO( OCR_INLINE, Dictionary, unsigned, size, m_lookup.size())

#endif//OCR_Dictionary_INL
